gem install rails 不能装成功

F:ruby_design_env>gem install rails WARNING:  RubyGems 1.2+ index not found for: RubyGems will revert to legacy indexes degrading performance. Bulk updating Gem source index for: http://gems.rubyforge.org/ ERROR:  While executing gem … (NoMethodError) undefined method `gems’ for #<Array:0x4515a08>

只能下载gem包,然后手动装

gem install –local rails-2.3.4.gem

无奈还有一些depend的包,在 http://rubyforge.org 都能找得到的,装完下面的包rails就能装成功了

actionmailer-2.3.4.gem

actionpack-2.3.4.gem

activerecord-2.3.4.gem

activeresource-2.3.4.gem

activesupport-2.3.4.gem

rack-1.0.1.gem

rake-0.8.7.gem

或者直接到http://gems.rubyforge.org/搜索下载,然后用本地安装上即可

查看完整文章